Get all supported tokens
curl --request GET \
--url https://staging.crossmint.com/api/2024-09-26/tokens \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2024-09-26/tokens"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2024-09-26/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"available": true,
"features": {
"creditCardPayment": true
},
"token": "<string>"
}
],
"nextCursor": "<string>",
"previousCursor": "<string>"
}Supported Assets
Get All Tokens
Retrieve a paginated list of all supported tokens for checkout. Sorted by most recent first.
GET
/
2024-09-26
/
tokens
Get all supported tokens
Headers
API key required for authentication
Query Parameters
Comma-separated list of chains the result should only include
The cursor from the previous results set to get the next paginated result set
Maximum number of tokens to return (maximum 100, default 30)
Comma-separated list of token classes the result should only include. Default is memecoin,onramp
Was this page helpful?

